echo off
REM initsetup2.cmd
REM
REM initial setup for a Server 2008 Server Core installation. 
REM command file 2 of 2 for Hyper-V and EBS
REM
REM Created: 4 September, 2007
REM ModHist: 08/30/08 - added WinRM command
REM        : 12/30/08 - modified for EBS environment (cpr)
REM
REM Copyright 2007, 2008 Charlie Russel. All rights reserved.
REM   You may freely use this script in your own environment, modifying it 
REM   to meet your needs. But you may not re-publish it without permission. 

REM Use netsh to enable remote management through the firewall for 
REM all profiles. This is the minimum to allow using remote MMCs to work
REM from other computers on the network.

netsh advfirewall set allprofiles settings remotemanagement enable 

REM allow remote administration group
netsh advfirewall firewall set rule group="Remote Administration" new enable=yes

REM Allow remote desktop through firewall
netsh advfirewall firewall set rule group="Remote Desktop" new enable=yes

REM Enable Remote Desktop for Administration, and allow 
REM downlevel clients to connect
cscript %windir%\system32\scregedit.wsf /AR 0
cscript %windir%\system32\scregedit.wsf /CS 0

REM Now, run the WinRM configuration script. -q is for quiet.
winrm quickconfig -q

REM Uncomment the line below to run the activation script
REM No output means it worked
REM Slmgr.vbs -ato
